VULKAN_HPP_NAMESPACE::Event Class Reference

`#include <vulkan.hpp>`

## Public Member Functions

VULKAN_HPP_CONSTEXPR | Event ()
VULKAN_HPP_CONSTEXPR | Event (std::nullptr_t)
VULKAN_HPP_TYPESAFE_EXPLICIT | Event (VkEvent event)
Event & | operator= (std::nullptr_t)
bool | operator== (Event const &rhs) const
bool | operator!= (Event const &rhs) const
bool | operator< (Event const &rhs) const
VULKAN_HPP_TYPESAFE_EXPLICIT | operator VkEvent () const
| operator bool () const
bool | operator! () const

## Private Attributes

VkEvent | m_event

## Detailed Description

Definition at line 3949 of file vulkan.hpp.

## Constructor & Destructor Documentation

## Event() [1/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::Event::Event | ( |  | ) |

inline

Definition at line 3952 of file vulkan.hpp.

: m_event(VK_NULL_HANDLE)
{}

## Event() [2/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::Event::Event | ( | std::nullptr_t |  | ) |

inline

Definition at line 3956 of file vulkan.hpp.

: m_event(VK_NULL_HANDLE)
{}

## Event() [3/3]

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::Event::Event | ( | VkEvent | event | ) |

inline

Definition at line 3960 of file vulkan.hpp.

: m_event( event )
{}

## Member Function Documentation

## operator bool()

VULKAN_HPP_NAMESPACE::Event::operator bool | ( |  | ) | const

inline explicit

Definition at line 4000 of file vulkan.hpp.

{
return m_event != VK_NULL_HANDLE;
}

References m_event, and VK_NULL_HANDLE.

## operator VkEvent()

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::Event::operator VkEvent | ( |  | ) | const

inline

Definition at line 3995 of file vulkan.hpp.

{
return m_event;
}

References m_event.

## operator!()

bool VULKAN_HPP_NAMESPACE::Event::operator! | ( |  | ) | const

inline

Definition at line 4005 of file vulkan.hpp.

{
return m_event == VK_NULL_HANDLE;
}

References m_event, and VK_NULL_HANDLE.

## operator!=()

bool VULKAN_HPP_NAMESPACE::Event::operator!= | ( | Event const & | rhs | ) | const

inline

Definition at line 3983 of file vulkan.hpp.

{
return m_event != rhs.m_event;
}

References m_event.

## operator<()

bool VULKAN_HPP_NAMESPACE::Event::operator< | ( | Event const & | rhs | ) | const

inline

Definition at line 3988 of file vulkan.hpp.

{
return m_event < rhs.m_event;
}

References m_event.

## operator=()

Event& VULKAN_HPP_NAMESPACE::Event::operator= | ( | std::nullptr_t |  | ) |

inline

Definition at line 3972 of file vulkan.hpp.

{
m_event = VK_NULL_HANDLE;
return *this;
}

References m_event, and VK_NULL_HANDLE.

## operator==()

bool VULKAN_HPP_NAMESPACE::Event::operator== | ( | Event const & | rhs | ) | const

inline

Definition at line 3978 of file vulkan.hpp.

{
return m_event == rhs.m_event;
}

References m_event.

## Field Documentation

## m_event

VkEvent VULKAN_HPP_NAMESPACE::Event::m_event

private

Definition at line 4011 of file vulkan.hpp.

Referenced by operator bool(), operator VkEvent(), operator!(), operator!=(), operator<(), operator=(), and operator==().

The documentation for this class was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::Event::m_event
VkEvent m_event
Definition: vulkan.hpp:4011
event
struct _cl_event * event
Definition: SDL_opengl_glext.h:2649
VK_NULL_HANDLE
#define VK_NULL_HANDLE
Definition: vulkan_core.h:49